using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Threading.Tasks;

namespace Performance.DtoModels
{
    public class PerformanceException : Exception
    {
        public PerformanceException()
        {
        }

        public PerformanceException(string message) : base(message)
        {
        }

        public PerformanceException(string message, Exception innerException) : base(message, innerException)
        {
        }

        protected PerformanceException(SerializationInfo info, StreamingContext context) : base(info, context)
        {
        }
    }
}
